Update Ad Insertion Settings
Updates the ad insertion record for the push stream. The record must already exist (i.e. ad insertion must have been enabled with PUT first).
curl -X POST "https://api.5centscdn.com/v2/streams/push/123/adinsertion" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"policy": 1,
"provider": "Google Ad Manager",
"defaultDuration": 45
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/push/123/adinsertion"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"policy": 1,
"provider": "Google Ad Manager",
"defaultDuration": 45
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/push/123/adinsertion", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"policy": 1,
"provider": "Google Ad Manager",
"defaultDuration": 45
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"policy": 1,
"provider": "Google Ad Manager",
"defaultDuration": 45
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/push/123/adinsertion", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/push/123/adinsertion')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"policy": 1,
"provider": "Google Ad Manager",
"defaultDuration": 45
}'
response = http.request(request)
puts response.body
{
"result": "success"
}
{
"result": "error",
"message": "Descriptive error message."
}
POST
/streams/push/{streamid}/adinsertionPOST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
streamidinteger
RequiredNumeric stream ID.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
enabledstring
RequiredEnable or disable ad insertion on the stream.
Options: Y, N
policyinteger
RequiredAd insertion policy: 1 is Provider-based, 2 is No provider.
Options: 1, 2
providerstring
Required when policy is 1. Provider identifier.
defaultDurationinteger
Default ad break duration in seconds.
Min: 10 • Max: 180
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
streamidinteger
RequiredNumeric stream ID.
Body
application/json
providerstring
Required when policy is 1. Provider identifier.
defaultDurationinteger
Default ad break duration in seconds.
Responses
resultstring
RequiredStatus of the API response.
Allowed values:
successerrormessagestring
Human-readable message describing the result.
Was this page helpful?